# Get Funding Payment Report JSON

<EndpointPage
  breadcrumbs={[
    { label: "Trading", href: "/trading/trading" },
    { label: "Derivatives", href: "/trading/rest-api/derivatives" },
    { label: "Get Funding Payment Report JSON" },
  ]}
  title="Get Funding Payment Report JSON"
  method="POST"
  url="https://api.gemini.com/v1/perpetuals/fundingpaymentreport/records.json"
  description="Retrieves the funding payment report in JSON format for the authenticated account and the specified date range."
  example={{
    request: {
      method: "POST",
      url: "https://api.gemini.com/v1/perpetuals/fundingpaymentreport/records.json?fromDate=2024-04-10&toDate=2024-04-25&numRows=1000",
      headers: [
        { name: "X-GEMINI-APIKEY", value: "<string>" },
        { name: "X-GEMINI-PAYLOAD", value: "<string>" },
        { name: "X-GEMINI-SIGNATURE", value: "<string>" },
      ],
      body: {
        request: "/v1/perpetuals/fundingpaymentreport/records.json?fromDate=2024-04-10&toDate=2024-04-25&numRows=1000",
        nonce: "<nonce>",
      },
    },
  }}
  sections={[
    {
      heading: "Examples",
      children: (
        <ul style={{ margin: 0, paddingLeft: "1.25rem" }}>
          <li><code>fromDate=2024-04-10&toDate=2024-04-25&numRows=1000</code> — returns the lesser of the date-range record count and <code>numRows</code>.</li>
          <li><code>fromDate=2024-04-10&toDate=2024-04-25</code> — returns all records in the date range.</li>
          <li><code>numRows=1000</code> — returns up to 1000 records starting from now.</li>
          <li>No parameters — returns the default maximum of 8760 records starting from now.</li>
        </ul>
      ),
    },
    {
      heading: "Query Parameters",
      children: <SpecQueryParams operationId="getFundingPaymentReportJson" />,
    },
    {
      heading: "Headers",
      children: <SpecHeaders operationId="getFundingPaymentReportJson" />,
    },
    {
      heading: "Request Body",
      children: <SpecParams operationId="getFundingPaymentReportJson" />,
    },
    {
      heading: "Responses",
      children: <SpecResponses operationId="getFundingPaymentReportJson" />,
    },
  ]}
/>

<PageNavigation
  prev={{ label: "Get Funding Payment Report File", href: "/trading/rest-api/derivatives/get-funding-payment-report-file" }}
  next={{ label: "Get Risk Stats", href: "/trading/rest-api/derivatives/get-risk-stats" }}
/>
